Endpoint
GET https://api.stepfun.ai/v1/models/{model}
Path parameters
modelstringrequired
Model ID.
Response
Returns a single Model object.Example
- python
- js
- curl
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
🎉 New model Step 3.7 Flash is now live — a high-efficiency Flash model for real-world Agent / Coding / multimodal workflows. Learn more →
GET https://api.stepfun.ai/v1/models/{model}
model string required
from openai import OpenAI
client = OpenAI(api_key="STEP_API_KEY", base_url="https://api.stepfun.ai/v1")
print(client.models.retrieve("step-tts-2"))
import OpenAI from "openai";
const openai = new OpenAI({
apiKey: "STEP_API_KEY",
baseURL: "https://api.stepfun.ai/v1"
});
async function main() {
const model = await openai.models.retrieve("step-tts-2");
console.log(model);
}
main();
curl https://api.stepfun.ai/v1/models/step-tts-2 \
-H "Authorization: Bearer $STEP_API_KEY"
{
"id": "step-tts-2",
"object": "model",
"created": 1713196800,
"owned_by": "stepai"
}
Was this page helpful?